diff tests/test-binary-io.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents 7b67f85ec2c9
children
line wrap: on
line diff
--- a/tests/test-binary-io.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-binary-io.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -4,7 +4,7 @@
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-bin-out0.tmp t-bin-out1.tmp"
-./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
+${CHECKER} ./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
 cmp t-bin-out0.tmp t-bin-out1.tmp > /dev/null || exit 1
 
 rm -fr $tmpfiles